#ifndef SN_COLLIDER
#define SN_COLLIDER

#include "SDL_OpenGL.h"
#include <iostream>
using namespace std;

class sn_Collider
{
public:
	void init( float xCenter, float yCenter, float zCenter, float xLength, float yLength, float zLength );
	void initAbs( float xa, float ya, float za, float xLength, float yLength, float zLength );
	void moveTo( float xCenter, float yCenter, float zCenter );
	void moveBy( float xOffset, float yOffset, float zOffset );
	bool collisionWith( sn_Collider c);
	bool collisionWithBounds( float xmin, float xmax, float ymin, float ymax, float zmin, float zmax );

	void textOut();
	void draw();
	
private:
	float x, y, z; // corner coordinate
	float xl, yl, zl; //length of each side
};

#endif