#ifndef SN_PREFS_H
#define SN_PREFS_H

#include "iostream.h"
#include "fstream.h"
#include "string.h"

class sn_Prefs
{
public:
	sn_Prefs();
	void setPath(char * newPath);
	void changeWidth(int newWidth);
	void changeHeight(int newHeight);
	void changeWindow(int newUseWindow);
	void changeMusic(int newUseMusic);
	void changeSound(int newUseSound);
	void changeToDefault();
	void load();
	void write();
	
	int getWidth();
	int getHeight();
	int getUseWindow();
	int getUseMusic();
	int getUseSound();
	
private:
	int loaded;	
	int width;
	int height;
	int useWindow;
	int useMusic;
	int useSound;
	char path[256];
	
};

#endif