//Copyright (c) 2004 Aaron Sullivan. All rights reserved.
#ifndef G_ANGLE_H
#define G_ANGLE_H

#define g_angle_k_piDivBy180 0.01745329f
#define g_angle_k_180DivByPi 57.29582f

#include <math.h>

class g_angle
{
public:
    g_angle();
    g_angle( float newAngle );
    
    void set( float newAngle );
	float get();
	
	float inRadians();
	float cosOf();
	float sinOf();

	void rotate(float rotationAmt);
	int rotateTowardsTarget(float rotationAmt, float targetAngle);
	float g_angle::distToTarget(float rotationAmt, float targetAngle);
	
	inline float convertTo360Range( float angleToConvert );
	int test();
    
private:
		float angle;
};

#endif