#ifndef SN_TEXTURECOLLECTION
#define SN_TEXTURECOLLECTION

#include <map>
#include "SDL_OpenGL.h"
#include "png.h"
using namespace std;

class sn_TextureCollection
{
public:
	int load(const string &filename);
	int loadRepeating(const string &filename);
	int load(const string &filename, bool repeating);
	GLuint getID(const string &filename);
	
	void reset();
private:
	map<string,GLuint> textureID;
};

#endif